Recent

Author Topic: "vintage" BASIC highlighter  (Read 6347 times)

Edson

  • Hero Member
  • *****
  • Posts: 1021
Re: "vintage" BASIC highlighter
« Reply #30 on: October 22, 2018, 08:55:28 pm »
1) in your SynFacilUtils, on Github, there is missing Misutils.pas : it prevents to compile your editor.
Included. Thanks for the observation.

2) When you open another file in your editor, there is a refresh problem with the syntax highlight : you are obliged to drop down the language menu and click again on your already selected language (I did not investigate this issue furthermore, but I am sure that you will sort it out).
It's because highlighter is selected according with the file extension. I guess.  Anyway it's justa a sample for using SynFacilUtils.

SynFacilUtils is not as complete or documented as SynFacilSyn. The aim is to facilitate the creation of IDE. But I've stopped developing it since I'm planning to replace (or change drastically) with another library with support for mutiple edition windows.
Lazarus 1.6 - FPC 3.0.0 - x86_64-win64 on  Windows 7

Ladywasky

  • New member
  • *
  • Posts: 20
Re: "vintage" BASIC highlighter
« Reply #31 on: October 22, 2018, 08:59:55 pm »
Quote
It's because highlighter is selected according with the file extension. I guess.  Anyway it's justa a sample for using SynFacilUtils.

SynFacilUtils is not as complete or documented as SynFacilSyn. The aim is to facilitate the creation of IDE. But I've stopped developing it since I'm planning to replace (or change drastically) with another library with support for mutiple edition windows.
No problem, I can go with it. It does the job : it permits to test quickly your library.